hpp-corbaserver: _objref_Roadmap Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Roadmap Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _objref_Roadmap:
[legend]
Collaboration diagram for _objref_Roadmap:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
void | clear ()
void | addNode (const ::hpp::floatSeq &config)
void | addNodeAndEdge (const ::hpp::floatSeq &cfgfrom, const ::hpp::floatSeq &cfgto, ::hpp::core_idl::Path_ptr path_)
void | addNodeAndEdges (const ::hpp::floatSeq &cfgfrom, const ::hpp::floatSeq &cfgto, ::hpp::core_idl::Path_ptr path_)
floatSeq * | nearestNode (const ::hpp::floatSeq &config, ::hpp::value_type &distance, ::CORBA::Boolean reverse)
floatSeqSeq * | nearestNodes (const ::hpp::floatSeq &config, ::hpp::size_type &k)
size_type | getNbNodes ()
floatSeq * | getNode (::hpp::size_type i)
size_type | getNbEdges ()
Path_ptr | getEdge (::hpp::size_type i)
ConnectedComponentSeq * | getConnectedComponents ()
| _objref_Roadmap ()
| _objref_Roadmap (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Roadmap ()

## Friends
class | Roadmap

## Constructor & Destructor Documentation

## ◆ _objref_Roadmap() [1/2]

_objref_Roadmap::_objref_Roadmap | ( |  | ) |
| inline

## ◆ _objref_Roadmap() [2/2]

_objref_Roadmap::_objref_Roadmap | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Roadmap()

virtual _objref_Roadmap::~_objref_Roadmap | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addNode()

void _objref_Roadmap::addNode | ( | const ::hpp::floatSeq & | config | ) |

## ◆ addNodeAndEdge()

void _objref_Roadmap::addNodeAndEdge | ( | const ::hpp::floatSeq & | cfgfrom,
|  | const ::hpp::floatSeq & | cfgto,
|  | ::hpp::core_idl::Path_ptr | path_
| ) |  |

## ◆ addNodeAndEdges()

void _objref_Roadmap::addNodeAndEdges | ( | const ::hpp::floatSeq & | cfgfrom,
|  | const ::hpp::floatSeq & | cfgto,
|  | ::hpp::core_idl::Path_ptr | path_
| ) |  |

## ◆ clear()

void _objref_Roadmap::clear | ( |  | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_Roadmap::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_Roadmap::deleteThis | ( |  | ) |

## ◆ getConnectedComponents()

ConnectedComponentSeq* _objref_Roadmap::getConnectedComponents | ( |  | ) |

## ◆ getEdge()

Path_ptr _objref_Roadmap::getEdge | ( | ::hpp::size_type | i | ) |

## ◆ getNbEdges()

size_type _objref_Roadmap::getNbEdges | ( |  | ) |

## ◆ getNbNodes()

size_type _objref_Roadmap::getNbNodes | ( |  | ) |

## ◆ getNode()

floatSeq* _objref_Roadmap::getNode | ( | ::hpp::size_type | i | ) |

## ◆ nearestNode()

floatSeq* _objref_Roadmap::nearestNode | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::value_type & | distance,
|  | ::CORBA::Boolean | reverse
| ) |  |

## ◆ nearestNodes()

floatSeqSeq* _objref_Roadmap::nearestNodes | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::size_type & | k
| ) |  |

## ◆ persistantStorage()

void _objref_Roadmap::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## Friends And Related Function Documentation

## ◆ Roadmap

friend class Roadmap
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh